package cn.net.caoyao.cpzshandset.service.presenter;

import android.content.Intent;
import android.text.TextWatcher;
import android.widget.BaseAdapter;
import android.widget.TextView;
import cn.net.caoyao.cpzshandset.service.presenter.base.BasePresenter;
import cn.net.caoyao.cpzshandset.service.presenter.base.BaseView;

public interface ChoiceAddressListConstact {
	interface View extends BaseView<Presenter> {
		void setPageTitleStr(String titleStr);
		void setAllAddressLvAdapter(BaseAdapter adapter);
		void setAddressSearchAdapter(BaseAdapter adapter);
		void setEtText(String etStr);
		String getEtText();
		void setBtnRightStr(String moreStr);
		void addTextChangedListener(TextWatcher t);
		void removeTextChangedListener(TextWatcher t);
		void finishWithResult(int resultCode,Intent intent);
		void setSearchAddressLvVisible();
		void setAllAddressLvVisible();
		String getProvinceStr();
		void setProvinceStr(String provinceStr);
		android.view.View getProvinceView();
		TextView getProvinceTextView();
		void setProvinceViewVisiable(int visiable);
		void setConsigeeEtVisiable(int visiable);
		void setEndStationEtVisiable(int visiable);
		String getConsigeeEtText();
		void addConsigeeTextChangedListener(TextWatcher t);
		void removeConsigeeTextChangedListener(TextWatcher t);
	}

	interface Presenter extends BasePresenter {
		void onAddressLvItemClickListener(int position);
		void onSearchLvItemClickListener(int position);
		void btnSearchClick();
		void updateAddressListClick();
		void choiceProviceClick();
	}
}
